#ifndef GRIFO_FW_TAG_H
#define GRIFO_FW_TAG_H

namespace grifo_fw
{

class TagGenerator
{
public:
    TagGenerator();

    unsigned int getNextTag();
    unsigned int getLastTag() const;

    unsigned int getCurrentArea() const;

    void reset(unsigned int v=0);

protected:
    unsigned int msg_counter;
    unsigned int current_tag;
};

} //namespace


#endif // GRIFO_FW_TAG_H
